/*
 * \file: Amoba.cpp
 *     Nem áll le, ha betelik a tábla
 *
 */

#include <iostream>

#include "table.h"
#include "disc.h"
#include "memtrace.h"

using std::cin;
using std::cout;
using std::endl;

int main() {
    Table t;
    int x, y;
    t.setDisc(new Disc(t.newPosition(3,3), white));
    t.list();
    char c = 'X';
    do {
        cout << c << " lepese: ";
        if (t.jatekVege() || !(cin >> x >> y))
            break;
        if (t.probe(x,y)) {
            color_type col = c == 'O' ? white : black;
            t.setDisc(new Disc(t.newPosition(x,y), color_type(col)));
            t.list();
            c = c == 'X' ? 'O' : 'X';  // másik játékos
        } else {
            cout << "oda nem lephet!";
        }
        cout << endl;
    } while (true);
    cout << "Vege" << endl;
    return 0;
}
